## gstep-core-0.6.5.tar.gz

=== base/Makefile ===
#
#  Depreciated Makefile for GNUstep Base Library.
#  
#  Copyright (C) 1997 Free Software Foundation, Inc.
#
#  Written by:	Scott Christley <scottc@net-community.com>
#
#  This file is part of the GNUstep Base Library.
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Library General Public
#  License as published by the Free Software Foundation; either
#  version 2 of the License, or (at your option) any later version.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
#  Library General Public License for more details.
#
#  You should have received a copy of the GNU Library General Public
#  License along with this library; if not, write to the Free
#  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA
#

all:
	@echo You need to use GNU make to compile the GNUstep Base Library

=== debian/changelog ===
gstep-core (0.5.5.990820-1) unstable; urgency=low

  * New snapshot (dawn_6 branch).
  * debian/gstep-base.init: Change init script message (fixes #40339).

 -- Matthias Klose <doko@cs.tu-berlin.de>  Sat, 21 Aug 1999 20:41:37 +0200

gstep-core (0.5.5.990625-1) unstable; urgency=low

  * New snapshot.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Fri, 25 Jun 1999 22:24:56 +0200

gstep-core (0.5.5.990508-1) unstable; urgency=low

  * New snapshot. Built with xgps as backend.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Sun,  9 May 1999 15:18:28 +0200

gstep-core (0.5.5.990310-1) unstable; urgency=low

  * GNUstep 0.5.5 + minor updates from the CVS archive.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Thu, 11 Mar 1999 22:47:17 +0100

gstep-core (0.5.5-1) unstable; urgency=low

  * gstep-0.6 prerelease2 ("dawn").
  * gstep-extensions, gstep-db and gstep-guile are moved out of the core package.
  * Moved to debhelper-1.2.x.
  * First try for powerpc and alpha architectures.
  * New package gstep-base-dbg (link with -lgnustep-base_d).

 -- Matthias Klose <doko@cs.tu-berlin.de>  Wed, 24 Feb 1999 18:35:13 +0100

gstep-core (0.5.0.981229-1) frozen unstable; urgency=low

  * Fixed linking of guile dependent binaries (introduced with guile 1.3-11).
  * Fixed x permissions of debian installation scripts.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Tue, 29 Dec 1998 20:12:17 +0100

gstep-core (0.5.0.981222-1) frozen unstable; urgency=low

  * Moved symlink patches upstream.
  * Built with debhelper 1.1.24 and provide the needed debhelper-1.2.18 files.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Mon, 22 Dec 1998 21:41:54 +0200

gstep-core (0.5.0.981218-1) frozen unstable; urgency=low

  * New maintainer.
  * Previous builds included GNUSTEP_SYSTEM_ROOT, if GNUstep packages
    were installed.
  * Fixed build error on the alpha architecture (forwarding still doesn't
    work).
  * Install compiled guile modules in /usr/lib/guile1.3; don't know, if
    this is correct, but better than /usr/share/guile.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Sat, 19 Dec 1998 01:53:27 +0200

gstep-core (0.5.0.981215-0.1) frozen unstable; urgency=low

  * Finally recompiled with correct libc.
  * Finished db and guile packages (db already was in 0.5.0.980820-0.1).

 -- Matthias Klose <doko@cs.tu-berlin.de>  Mon, 14 Dec 1998 16:15:27 +0200

gstep-core (0.5.0.981207-0.1) frozen unstable; urgency=low

  * Recompiled with correct libc.
  * Removed dependencies on dpsclient.
  * Fixed dependencies of gstep-*-dev packages.
  * debian/rules: Removed explicit ix86 dependencies (again!).
  * Added debian/patches directory for Debian specific patches.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Mon,  7 Dec 1998 14:38:47 +0200

gstep-core (0.5.0.981106cvs-1) frozen unstable; urgency=low

  * New upstream CVS snapshot.o
    With the new anon CVS server, we can now track the GNUstep
    development much faster.
  * Don't build gstep-xdps until there's a free DPS system in Debian.
  * Instead, we have the X/RAW backend. With X/RAW, gstep doesn't any
    longer depend on non-free components and can go into main.
  * gstep-gui now has a working NSText class.
  * debian/rules: Rewritten again.

 -- Gregor Hoffleit <flight@debian.org>  Sat,  7 Nov 1998 12:08:45 +0100

gstep-core (0.5.0.980820-0.1) unstable; urgency=low

  * New upstream snapshot.
  * Built with X/RAW as backend; still depends on dgs.
  * New postinst/postrm scripts.
  * debian/rules: Rewritten.
  * debian/control.in: Tightened dependencies.
  * Keep NEXTSTEP files.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Tue, 25 Aug 1998 13:48:48 +0200

gstep-core (0.5.0.980806-1) unstable; urgency=low

  * New upstream snapshot.
  * GNUstep is now built from a single source package, gstep-core.

 -- Gregor Hoffleit <flight@debian.org>  Fri,  7 Aug 1998 13:33:43 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "flight@debian.org"
End:

=== debian/control ===
Source: gstep-core
Section: devel
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Standards-Version: 2.5.0.0

Package: gstep-make
Architecture: any
Depends: ${shlibs:Depends}
Description: The GNUstep makefile package
 [This is a developer snapshot. Do not use it for production.]
 .
 Install this package if you want to use or develop GNUstep programs.
 .
 The makefile package is a simplistic, powerful and extensible way to
 write makefiles for a GNUstep-based project.  It allows the user to
 write a GNUstep-based project without having to deal with the complex
 issues associated with the configuration and installation of the core
 GNUstep libraries.  It also allows the user to easily create
 cross-compiled binaries.

Package: gstep-base
Section: libs
Architecture: any
Depends: gstep-make (= ${Source-Version}), ${shlibs:Depends}
Replaces: gstep-base0
Description: The GNUstep Base Library
 [This is a developer snapshot. Do not use it for production.]
 .
 The GNUstep Base Library is a library of general-purpose, non-graphical
 Objective C objects. It provides functionality that aims to implement
 the non-graphical portion of the OpenStep standard.

Package: gstep-base-dev
Architecture: any
Depends: gstep-base (=${Source-Version}), gobjc (>= 2.91.60)
Description: Header files and static libraries for the GNUstep Base
 This package contains the header files and static libraries for the
 GNUstep Base Library.
 .
 Install this package if you wish to develop your own programs using
 the GNUstep Base Library.

Package: gstep-base-dbg
Architecture: any
Depends: gstep-base-dev (=${Source-Version}), gobjc (>= 2.91.60)
Description: Debugging versions for the GNUstep Base Library
 This package contains the shared library of the
 GNUstep Base Library compiled with debugging symbols.
 .
 Install this package if you wish to develop your own programs using
 the GNUstep Base Library.

Package: gstep-base-examples
Architecture: all
Depends: gstep-base-dev (=${Source-Version})
Description: Examples using the GNUstep Base Library
 This is the source for a few example (non-GUI) applications
 using the GNUstep Base Library.

Package: gstep-gui
Section: libs
Architecture: any
Depends: gstep-base (=${Source-Version}), ${shlibs:Depends}
Suggests: gstep-xgps (=${Source-Version})
Description: The GNUstep GUI Library
 [This is a developer snapshot. Do not use it for production.]
 .
 This package is a library of graphical user interface classes written
 completely in the Objective-C language; the classes are based upon the
 OpenStep specification as release by NeXT Software, Inc.  The library
 does not completely conform to the specification and has been enhanced
 in a number of ways to take advantage of the GNU system.

Package: gstep-gui-dev
Architecture: any
Depends: gstep-gui (=${Source-Version}), gstep-base-dev (=${Source-Version}), libtiff3g-dev
Suggests: gstep-xgps-dev
Description: The GNUstep GUI Library
 This package contains the header files and static libraries for the
 GNUstep GUI Library.
 .
 Install this package if you wish to develop your own programs using
 GNUstep GUI.

Package: gstep-gui-dbg
Architecture: any
Depends: gstep-gui-dev (=${Source-Version}), gobjc (>= 2.91.60)
Suggests: gstep-xgps-dbg (=${Source-Version})
Description: Debugging versions for the GNUstep GUI Library
 This package contains the shared library of the
 GNUstep GUI Library compiled with debugging symbols.
 .
 Install this package if you wish to develop your own programs using
 the GNUstep Base Library.

Package: gstep-xgps
Section: libs
Architecture: any
Depends: gstep-gui (=${Source-Version}), ${shlibs:Depends}
Description: The GNUstep GUI X/GPS Backend
 [This is a developer snapshot. Do not use it for production.]
 .
 This package is a back-end component for the GNUstep GUI Library, using
 native X support and eliminates the need for DPS/DGS. It works via a DPS
 emulation engine to use Xlib calls to emulate the DPS functions required
 by the front-end system.

Package: gstep-xgps-dev
Architecture: any
Depends: gstep-xgps (=${Source-Version}), gstep-gui-dev (=${Source-Version}), xlib6g-dev
Description: Development files for the GNUstep GUI X/GPS backend
 [This is a developer snapshot. Do not use it for production.]
 .
 This package contains the header files and static libraries for the
 GNUstep GUI X/GPS Backend.
 .
 Install this package if you wish to develop your own X programs using
 the X/GPS backend of GNUstep.

Package: gstep-xgps-dbg
Architecture: any
Depends: gstep-xgps-dev (=${Source-Version}), gobjc (>= 2.91.60)
Description: Debugging versions for the GNUstep GUI X/GPS Library
 This package contains the shared library of the
 GNUstep GUI X/GPS Library compiled with debugging symbols.
 .
 Install this package if you wish to develop your own programs using
 the GNUstep Base Library.

=== debian/rules ===
#! /usr/bin/make -f
# -*- mode: makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DH_VERSION = 1.2.37

# REMEMBER: arch-indep packaes are: gstep-base-examples

PWD	:= $(shell pwd)
ARCH	= $(shell dpkg --print-gnu-build-architecture)
CC	= /usr/lib/egcs-ss/bin/gcc
CC	= gcc
v_src	:= $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')

# build debug packages?
debug	= yes
# the default backend
backend	= xgps

GS			= usr/lib/GNUstep
GNUSTEP_SYSTEM_ROOT	= /$(GS)
GNUSTEP_BUILD_ROOT	= $(PWD)
LIBRARY_COMBO	= gnu-gnu-gnu-$(backend)
GS_COMBO	= $(LIBRARY_COMBO)
GS_HOST		:= $(shell ./make/config.guess)
GS_CPU		:= $(shell ./make/clean_cpu.sh `./make/cpu.sh $(GS_HOST)`)
GS_OS		:= $(shell ./make/clean_os.sh `./make/os.sh $(GS_HOST)`)
GS_VENDOR	:= $(shell ./make/clean_vendor.sh `./make/vendor.sh $(GS_HOST)`)
lib_dir		= $(GS_CPU)/$(GS_OS)
combo_dir	= $(GS_CPU)/$(GS_OS)/$(GS_COMBO)
export GNUSTEP_SYSTEM_ROOT
export GNUSTEP_BUILD_ROOT

v_base	:= $(shell . base/Version; echo $$VERSION)
v_gui	:= $(shell . gui/Version;  echo $$VERSION)
#v_xraw	:= $(shell . xraw/Version; echo $$VERSION)
v_xdps	:= $(shell . xdps/Version; echo $$VERSION)
v_xgps	:= $(shell . xgps/Version; echo $$VERSION)

# the default version value ...
#v_default := $(shell sed -n -e 's/^VERSION *= *\(.*\)$$/\1/p' make/common.make)
#v_default := 0.5.0
#v_default := 1.0.0
v_model = $(v_gui)
ifeq ($(backend),xraw)
  v_back	= $(v_xraw)
endif
ifeq ($(backend),xgps)
  v_back	= $(v_xgps)
endif

sov_base	:= $(shell echo $(v_base)  | awk -F. '{print $$1}')
sov_gui		:= $(shell echo $(v_gui)   | awk -F. '{print $$1}')
sov_model	:= $(shell echo $(v_model) | awk -F. '{print $$1}')
sov_back	:= $(shell echo $(v_back)  | awk -F. '{print $$1}')

p_make		= gstep-make
p_base		= gstep-base
p_base_dev	= $(p_base)-dev
p_base_dbg	= $(p_base)-dbg
p_base_exam	= $(p_base)-examples
p_gui		= gstep-gui
p_gui_dev	= $(p_gui)-dev
p_gui_dbg	= $(p_gui)-dbg
p_xraw		= gstep-xraw
p_xraw_dev	= $(p_xraw)-dev
p_xraw_dbg	= $(p_xraw)-dbg
p_xraw_exam	= $(p_xraw)-examples
p_xdps		= gstep-xdps
p_xdps_dev	= $(p_xdps)-dev
p_xdps_exam	= $(p_xdps)-examples
p_xgps		= gstep-xgps
p_xgps_dev	= $(p_xgps)-dev
p_xgps_dbg	= $(p_xgps)-dbg

d		= debian/tmp
d_make		= $(d)
d_base		= debian/$(p_base)
d_base_dev	= debian/$(p_base_dev)
d_base_dbg	= debian/$(p_base_dbg)
d_base_exam	= debian/$(p_base_exam)
d_gui		= debian/$(p_gui)
d_gui_dev	= debian/$(p_gui_dev)
d_gui_dbg	= debian/$(p_gui_dbg)
d_xraw		= debian/$(p_xraw)
d_xraw_dev	= debian/$(p_xraw_dev)
d_xraw_dbg	= debian/$(p_xraw_dbg)
d_xraw_exam	= debian/$(p_xraw_exam)
d_xdps		= debian/$(p_xdps)
d_xdps_dev	= debian/$(p_xdps_dev)
d_xdps_exam	= debian/$(p_xdps_exam)
d_xgps		= debian/$(p_xgps)
d_xgps_dev	= debian/$(p_xgps_dev)
d_xgps_dbg	= debian/$(p_xgps_dbg)
ifeq ($(backend),xraw)
  p_back	= $(p_xraw)
  p_back_dev	= $(p_xraw_dev)
  p_back_dbg	= $(p_xraw_dbg)
  d_back	= $(d_xraw)
  d_back_dev	= $(d_xraw_dev)
  d_back_dbg	= $(d_xraw_dbg)
endif
ifeq ($(backend),xgps)
  p_back	= $(p_xgps)
  p_back_dev	= $(p_xgps_dev)
  p_back_dbg	= $(p_xgps_dbg)
  d_back	= $(d_xgps)
  d_back_dev	= $(d_xgps_dev)
  d_back_dbg	= $(d_xgps_dbg)
endif

MAKEDFLAGS = \
  'GNUSTEP_SYSTEM_ROOT=$(GNUSTEP_SYSTEM_ROOT)' \
  'GNUSTEP_BUILD_ROOT=$(GNUSTEP_BUILD_ROOT)' \
  'GNUSTEP_MAKEFILES=$(PWD)/Makefiles' \
  verbose=no

ENVFLAGS = \
  GNUSTEP_SYSTEM_ROOT=$(GNUSTEP_SYSTEM_ROOT) \
  GNUSTEP_BUILD_ROOT=$(GNUSTEP_BUILD_ROOT) \
  GNUSTEP_MAKEFILES=$(PWD)/Makefiles

default: build

ctrl_flags = -DVOBJC=2.91.60
ifeq ($(debug),yes)
  ctrl_flags += -DDEBUG
endif
ifeq ($(backend),xraw)
  ctrl_flags += -DBACK_XRAW
endif
ifeq ($(backend),xgps)
  ctrl_flags += -DBACK_XGPS
endif
debian/control: debian/control.in debian/rules
	cpp -A- -P $(ctrl_flags) debian/control.in \
	  | awk '/^ *$$/ && x !~ /^ / {next} /NEWLINE/ {print ""; next} {print; x=$$0}' \
	  | sed -e '/^[^ ]/s/  */ /g' -e 's/  *\([,)]\)/\1/g' -e 's/ *$$//' \
	  > debian/control

config: config.status
config.status:
	dh_testdir
	autoconf
	rm -f config.cache
	CC=$(CC) \
	  ./configure --prefix=$(GNUSTEP_SYSTEM_ROOT) \
	    --with-library-combo=$(LIBRARY_COMBO) \
	    --with-jpeg-library=/usr/lib --with-jpeg-include=/usr/include \
	    --with-tiff-library=/usr/lib --with-tiff-include=/usr/include
#	    --with-dps-library=/usr/lib --with-dps-include=/usr/include \


GNUmakefile GNUmakefile.local: GNUmakefile.in GNUmakefile.local.in \
    config.status
	./config.status

build: debian/control \
    patched-stamp build-stamp build-static-stamp build-debug-stamp warnings

build-stamp: config.status GNUmakefile GNUmakefile.local
	dh_testdir
	($(MAKE) $(MAKEDFLAGS); echo $$? >.s) \
	    2>&1 | tee prot-core.shared; exit `cat .s`
	touch build-stamp

build-debug-stamp: config.status GNUmakefile GNUmakefile.local
ifeq ($(debug),yes)
	$(MAKE) -C base/Source debug=yes $(MAKEDFLAGS)
	$(MAKE) -C gui/Source debug=yes  $(MAKEDFLAGS)
	$(MAKE) -C gui/Model debug=yes   $(MAKEDFLAGS)
	$(MAKE) -C $(backend)/Source debug=yes $(MAKEDFLAGS)
endif
	touch build-debug-stamp

build-static-stamp: config.status GNUmakefile GNUmakefile.local
	for subproj in base/Source gui/Source gui/Model $(backend)/Source; \
	do \
	  $(MAKE) -C $$subproj shared=no $(MAKEDFLAGS) || exit $$?; \
	done
#	$(MAKE) shared=no $(MAKEDFLAGS)
	touch build-static-stamp

warnings: prot-core.shared
	chmod +x debian/warn_summary
	cat prot-core.shared > prot.shared
	for i in base gui $(backend); do \
	  echo -e "\n*************** $$i ***************"; \
	  debian/warn_summary -$$i prot.shared; \
	done > $@
	rm -f prot.shared

clean: debian/control
	dh_testdir
	dh_testroot
	rm -f build-*stamp install-stamp first-move-stamp
	rm -f warnings prot*.{shared,static}

	: # removing all build directories ...
	-find $(sub_projects) -type d \
	  \( -name 'shared*_obj' -o -name 'static*_obj' -o -name '*.app' \) \
	  | xargs rm -rf
	rm -f `find -name 'lib*.so*' -type l` || true
	: # removing local installation directories
	rm -rf Apps Headers Libraries Library Makefiles Tools share
	rm -f GNUmakefile make/GNUmakefile
# this is terribly slow ...
#	-$(MAKE) distclean $(MAKEDFLAGS)
	-find \( -name config.cache -o -name config.log -o -name config.mak \
	    -o -name config.status -o -name config.make \
	    -o -name GNUmakefile.local \
	  \) | xargs rm -f
	-find \( -name mframe -prune ! -name mframe \) \
	    -o \( -name $(GS_CPU) -type d \) | xargs rm -rf
	: # manually cleaning `make'
	rm -f make/{config.h,openapp,debugapp,GNUstep.sh,GNUstep.csh,which_lib}
	: # manually cleaning `base'
	rm -rf base/Source/{srcdir-include,gnustep}
	rm -f base/Source/{o_*_{bas,cbs}.m,dynamic-load.h} \
	  base/Source/{base,gnustep/base,Foundation} \
	  base/Source/{NSNumber,NSValue}{[0-9],[0-9][0-9]}.m \
	  base/Source/include/{preface.h,o_*_{bas,cbs}.h,mframe.h} \
	  base/Source/mframe/config.{cache,log,status} \
	  base/Documentation/{version.tmpl.texi,STATUS} \
	  base/Documentation/gnustep-base.{aux,cp,cps,dvi,fn,info,ky,log,pg,ps} \
	  base/Documentation/gnustep-base.{toc,tp,vr,vrs} \
	  base/Documentation/{ANNOUNCE,README,CODING-STANDARDS,NEWS,INSTALL,TODO}
	for i in base/Documentation/*.tmpl.texi; do \
	  rm -f `basename $$i .tmpl.texi`.texi; \
	done
	: # manually cleaning `gui'
	rm -f gui/Headers/gnustep/gui/config.h gui/Headers/{AppKit,DPSClient}
	: # manually cleaning backend
	rm -f $(backend)/config.h
	: # cleaning debian files
	rm -rf debian/gstep-make
	rm -f debian/{services.add,shlibs.local,*.shlibs}
	-for i in debian/*.in; do \
	  case "$$i" in debian/control.in) continue; esac; \
	  rm -f "`echo $$i | sed 's/\.in$$//'`"; \
	done

	$(MAKE) -f debian/rules reverse-patches
	dh_clean

dirs_make	= \
	usr/doc/$(p_make) \
	$(GS)/Makefiles \
	$(GS)/Tools/$(lib_dir) \
	$(GS)/Tools/$(combo_dir) \
	$(GS)/share \
	$(GS)/Apps \
	$(GS)/Libraries/$(combo_dir) \
	$(GS)/Headers/$(lib_dir) \
	$(GS)/Library/{info,PostScript,man}

dirs_base	= \
	etc \
	usr/doc/$(p_base) \
	usr/doc/GNUstep \
	$(GS)/Headers/$(lib_dir) \
	$(GS)/Libraries/$(combo_dir) \
